using System;
using System.Diagnostics;
using Softeam.CSharp;


namespace CarRental
{
    [objingid("49b62373-134d-483d-83f7-064a2c907118")]
    public class Car
    {
        [objingid("ab78b35d-5f26-4c12-89f1-c127cdd79adc")]
        public Car(string manufacturer, string plateNum, int chassisNum, CarType carType)
        {
        }

        #region borrower
        [objingid("b0f6fdad-a872-4c15-808c-084b87a768a8")]
        public Customer borrower = null;
        #endregion

        #region customer
        [objingid("766c0612-bfd3-47e0-89cf-5d21bf36ea54")]
        public Customer customer = null;
        #endregion

        #region manufacturer
        [objingid("4862f9e7-3c19-4393-bc95-3dad3835947f")]
        private string manufacturer;
        #endregion

        #region plateNum
        [objingid("ab14795f-5532-4394-ac7e-dca2c7d15e42")]
        private string plateNum;
        #endregion

        #region chassisNum
        [objingid("6c5755b6-08f1-4950-9c48-2874d9ae6def")]
        private int chassisNum;
        #endregion

        #region carType
        [objingid("1e489c12-551a-46b0-8ec9-06ca63a841e4")]
        private CarType carType;
        #endregion

        [objingid("3438b30b-80fa-4541-8ac2-3a2f143bf63d")]
        public string getManufacturer()
        {
            return this.manufacturer;
        }

        [objingid("385a9343-f66c-4073-8c9c-6aa629255e8a")]
        public string getPlateNum()
        {
            return this.plateNum;
        }

        [objingid("bd3ae419-361b-41aa-8fec-d82cf636e4fb")]
        public int getChassisNum()
        {
            return this.chassisNum;
        }

        [objingid("f2bd3559-4469-4172-b604-55781aa3b351")]
        public CarType getCarType()
        {
            return this.carType;
        }

    }
}

