using System;
using System.Diagnostics;
using Softeam.CSharp;


namespace CarRental
{
    [objingid("49b62373-134d-483d-83f7-064a2c907118")]
    public class Car
    {
        #region borrower
        [objingid("b0f6fdad-a872-4c15-808c-084b87a768a8")]
        public Customer borrower = null;
        #endregion

        #region customer
        [objingid("766c0612-bfd3-47e0-89cf-5d21bf36ea54")]
        public Customer customer = null;
        #endregion

        #region manufacturer
        [objingid("4862f9e7-3c19-4393-bc95-3dad3835947f")]
        public string manufacturer;
        #endregion

        #region plateNum
        [objingid("ab14795f-5532-4394-ac7e-dca2c7d15e42")]
        public string plateNum;
        #endregion

        #region chassisNum
        [objingid("6c5755b6-08f1-4950-9c48-2874d9ae6def")]
        public int chassisNum;
        #endregion

        #region carType
        [objingid("1e489c12-551a-46b0-8ec9-06ca63a841e4")]
        public CarType carType;
        #endregion
    }
}

